import { Component, Host, Inject } from 'ng-metadata/core';
import { CorTabComponent } from './cor-tab.component';


/**
 * A component that holds the actual tabs.
 */
@Component({
  selector: 'cor-tabs',
  templateUrl: '/static/js/directives/ui/cor-tabs/cor-tabs.component.html',
  legacy: {
    transclude: true,
  }
})
export class CorTabsComponent {
  // If true, the tabs are in a closed state. Only applies in the mobile view.
  private isClosed: boolean = true;

  private toggleClosed(e): void {
    this.isClosed = !this.isClosed;
  }
}
